# encoding: utf-8

# File:	clients/nss.ycp
# Package:	Configuration of nss
# Summary:	Main file
# Authors:	Reed Haslam <Reed_Haslam@Novell.com>
#
# $Id: nss.ycp,v 1.1.2.1 2004/10/12 23:42:25 sbunch Exp $
#
# Main file for nss configuration. Uses all other files.
module Yast
  class NssClient < Client
    def main
      Yast.import "UI"

      #**
      # <h3>Configuration of nss</h3>

      textdomain "novell-nss"

      # The main ()
      Builtins.y2milestone("----------------------------------------")
      Builtins.y2milestone("Nss module started")

      Yast.import "Progress"
      Yast.import "Report"
      Yast.import "Summary"
      Yast.import "CommandLine"
      Yast.import "NovellAddonInstall"
      Yast.include self, "novell-nss/complex.rb"
      Yast.include self, "novell-nss/wizards.rb"

      @cmdline_description = {
        "id"         => "nss",
        # Command line help text for the Xnss module
        "help"       => _(
          "Configuration of nss"
        ),
        "guihandler" => fun_ref(method(:NssSequence), "any ()"),
        "initialize" => fun_ref(Nss.method(:Read), "boolean ()"),
        "finish"     => fun_ref(Nss.method(:Write), "boolean ()"),
        "actions" =>
          # FIXME TODO: fill the functionality description here
          {},
        "options" =>
          # FIXME TODO: fill the option descriptions here
          {},
        "mapping" =>
          # FIXME TODO: fill the mappings of actions and options here
          {}
      }

      # is this proposal or not?
      @propose = false
      @args = WFM.Args
      if Ops.greater_than(Builtins.size(@args), 0)
        if Ops.is_path?(WFM.Args(0)) && WFM.Args(0) == path(".propose")
          Builtins.y2milestone("Using PROPOSE mode")
          @propose = true
        end
      end

      # main ui function
      @ret = nil

      if @propose
        if Ops.get(NovellAddonInstall.products_to_configure, "nss", true)
          @ret = NssAutoSequence()
        else
          @ret = :next
        end
      else
        @ret = CommandLine.Run(@cmdline_description)
      end
      Builtins.y2debug("ret=%1", @ret)

      # Finish
      Builtins.y2milestone("Nss module finished")
      Builtins.y2milestone("----------------------------------------")

      deep_copy(@ret) 

      # EOF
    end
  end
end

Yast::NssClient.new.main
