# encoding: utf-8

# File:	include/novell-nss/helps.ycp
# Package:	Configuration of nss
# Summary:	Help texts of all the dialogs
# Authors:	Reed Haslam <Reed_Haslam@Novell.com>
#
# $Id: helps.ycp,v 1.1.2.3 2005/01/03 17:52:26 sbunch Exp $
module Yast
  module NovellNssHelpsInclude
    def initialize_novell_nss_helps(include_target)
      textdomain "novell-nss"

      # All helps are here
      @HELPS = {
        # Read dialog help 1/2
        "read"  => _(
          "<p><b><big>Initializing NSS Configuration</big></b><br>\nPlease wait...<br></p>\n"
        ) +
          # Read dialog help 2/2
          _(
            "<p><b><big>Aborting Initialization:</big></b><br>\nSafely abort the configuration utility by pressing <b>Abort</b> now.</p>\n"
          ),
        # Write dialog help 1/2
        "write" => _(
          "<p><b><big>Saving NSS Configuration</big></b><br>\nPlease wait...<br></p>\n"
        ) +
          # Write dialog help 2/2
          _(
            "<p><b><big>Aborting Saving:</big></b><br>\n" +
              "Abort the save procedure by pressing <b>Abort</b>.\n" +
              "An additional dialog informs whether it is safe to do so.\n" +
              "</p>\n"
          ),
        # Configure2 dialog help 1/3
        "c2"    => _(
          "<p><b><big>FD NSS Admin Name with Context</big></b><br>\nBrowse or enter the NSS Admin name and context. This is the fully distinguished name of a User object with administrative rights to NSS. You must have a unique NSS admin name for each server that uses NSS. The default NSS Admin Name is the server host name concatenated with the LDAP Admin Name you entered for this server. For example: cn=HOSTNAMEadmin,o=acme.</p>\n"
        ),
        "c3"    => _(
          "<p><b><big>Novell Identity Translator (NIT)</big></b><br>\nNovell Identity Translator (NIT) provides allocation and management of eDirectory and Active Directory user identities such as UID number, GUID, SID and name. NIT provides a mapping of these user identities that enable you to translate from one user identity to another.</p>\n"
        ) +
          _(
            "<p><i>The UID range should be within 100000 to 2147483647.</i></p>"
          ) +
          _(
            "<p><b><big>Start</big></b><br>\nSpecify the start value for UID allocation. NIT will allocate UIDs starting with the specified value.</p>\n"
          ) +
          _(
            "<p><b><big>End</big></b><br>\nSpecify the end value for UID allocation. NIT will not allocate UIDs beyond the specified value.</p>\n"
          )
      } 

      # EOF
    end
  end
end
